Rated 5 out of 5 stars

It's working fine in 3.6.7 with the Add-on Compatibility Reporter installed and the extension.check.Compatibility pref disabled (set to false)